This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974964 - [abrt] soundconverter-2.0.4-23.fc18: ui.py:1328:tags_read:ValueError: list.remove(x): x not in list
[abrt] soundconverter-2.0.4-23.fc18: ui.py:1328:tags_read:ValueError: list.re...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
18
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:a48c7f375163623c0fddb41eead...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 05:20 EDT by gwir
Modified: 2013-06-19 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: soundconverter-2.0.4-24.fc18.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (445 bytes, text/plain)
2013-06-17 05:20 EDT, gwir
no flags Details
File: environ (3.40 KB, text/plain)
2013-06-17 05:20 EDT, gwir
no flags Details

  None (edit)
Description gwir 2013-06-17 05:20:36 EDT
Version-Release number of selected component:
soundconverter-2.0.4-23.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/soundconverter
core_backtrace: e218d9f32302112210a5ebbc351576edca1ca8d9 0x530 tags_read /usr/lib/soundconverter/python/soundconverter/ui.py -
executable:     /usr/bin/soundconverter
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
ui.py:1328:tags_read:ValueError: list.remove(x): x not in list

Traceback (most recent call last):
  File "/usr/lib/soundconverter/python/soundconverter/ui.py", line 1328, in tags_read
    self.tag_reader_tasks.remove(tagreader)
ValueError: list.remove(x): x not in list

Local variables in innermost frame:
tagreader: <soundconverter.gstreamer.TagReader instance at 0x54545a8>
self: <soundconverter.ui.SoundConverterWindow object at 0x2d7e290>
Comment 1 gwir 2013-06-17 05:20:39 EDT
Created attachment 761967 [details]
File: backtrace
Comment 2 gwir 2013-06-17 05:20:42 EDT
Created attachment 761968 [details]
File: environ
Comment 3 Michael Schwendt 2013-06-17 05:43:49 EDT
Yeah, that should be fixed in soundconverter-2.0.4-24.fc19 already where as Fedora 18 is only at -23. Stay tuned...
Comment 4 Fedora Update System 2013-06-17 06:19:38 EDT
soundconverter-2.0.4-24.fc18.0 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/soundconverter-2.0.4-24.fc18.0
Comment 5 Fedora Update System 2013-06-17 21:31:05 EDT
Package soundconverter-2.0.4-24.fc18.0:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing soundconverter-2.0.4-24.fc18.0'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11086/soundconverter-2.0.4-24.fc18.0
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-19 00:33:10 EDT
soundconverter-2.0.4-24.fc18.0 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.